// Enable pmtiles in maplibregl
let protocol = new pmtiles.Protocol();
maplibregl.addProtocol("pmtiles", protocol.tile);

let map = new maplibregl.Map({
  // id of the div in HTML
  container: "map",
  zoom: 12,
  // [lon, lat]
  center: [-75.612, 40.0474],
  // When changing map zoom and position, a hash is added to the URL. Loading
  // the URL+hash bring you directly to that map zoom and position, ignoring
  // the zoom and center specified here.
  hash: true,
  // You can do a 3D pitch of the map in Maplibre. 99.9% of the time I just
  // triggered it accidentally and it bothers me.
  pitchWithRotate: false,
  // Your style file. Can also provide a JSON object.
  style: "style.json",
});

// Adding controls I do after the map has loaded because sometimes it would have
// a race condition and error.
map.on("load", function () {
  // Zoom in and out buttons
  map.addControl(new maplibregl.NavigationControl());
  // The little line in the bottom showing how long a metre (or somesuch) is on
  // the map.
  map.addControl(new maplibregl.ScaleControl({ unit: "metric" }));
  // Button to make the map fullscreen
  map.addControl(new maplibregl.FullscreenControl());
});
